diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3cc4291..48a65ae 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -31,6 +31,15 @@
 \newcommand{\pagefrom}[2]{% e.g. \pagefrom{name}{abb}
 \ \\${\bf\Leftarrow{}}${``#1''} (#2) \ref{#1} on page~\pageref{#1}}
 %%
+
+%% cross will put the category and function in the index
+%% cross will leave the funcname so it can be put inline.
+%%
+\newcommand{\cross}[2]{% e.g. \pagefrom{cat}{funcname}
+\index{#1!#2}%
+\index{#2!#1}%
+#2}
+
 % special meanings for math characters
 \providecommand{\N}{\mbox{\bbold N}}
 \providecommand{\Natural}{\mbox{\bbold N}}
@@ -265,6 +274,15 @@ in the bootstrap set. Thus,
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{AF}{belong?} &
+\cross{AF}{droot} &
+\cross{AF}{definingPolynomial} &
+\cross{AF}{inrootof} &
+\cross{AF}{iroot} \\
+\cross{AF}{minPoly} &
+\cross{AF}{operator} &
+\cross{AF}{rootOf} &
+\cross{AF}{?**?} &
 \end{tabular}
 
 <<package AF AlgebraicFunction>>=
@@ -527,8 +545,7 @@ AlgebraicFunction(R, F): Exports == Implementation where
 \pagepic{ps/v104algebraichermiteintegration.ps}{INTHERAL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INTHERAL}{HermiteIntegrate}
 
 <<package INTHERAL AlgebraicHermiteIntegration>>=
 )abbrev package INTHERAL AlgebraicHermiteIntegration
@@ -616,7 +633,10 @@ AlgebraicHermiteIntegration(F,UP,UPUP,R):Exports == Implementation where
 \pagepic{ps/v104algebraicintegrate.ps}{INTALG}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{INTALG}{algintegrate} &
+\cross{INTALG}{palginfieldint} &
+\cross{INTALG}{palgintegrate} 
 \end{tabular}
 
 <<package INTALG AlgebraicIntegrate>>=
@@ -932,8 +952,7 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
 \pagepic{ps/v104algebraicintegration.ps}{INTAF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{INTAF}{algint}
 
 <<package INTAF AlgebraicIntegration>>=
 )abbrev package INTAF AlgebraicIntegration
@@ -1024,7 +1043,14 @@ AlgebraicIntegration(R, F): Exports == Implementation where
 \pagepic{ps/v104algebraicmanipulations.ps}{ALGMANIP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{ALGMANIP}{ratDenom} &
+\cross{ALGMANIP}{ratPoly} &
+\cross{ALGMANIP}{rootKerSimp} &
+\cross{ALGMANIP}{rootPower} \\
+\cross{ALGMANIP}{rootProduct} &
+\cross{ALGMANIP}{rootSimp} &
+\cross{ALGMANIP}{rootSplit} &
 \end{tabular}
 
 <<package ALGMANIP AlgebraicManipulations>>=
@@ -1244,8 +1270,7 @@ AlgebraicManipulations(R, F): Exports == Implementation where
 \pagepic{ps/v104algebraicmultfact.ps}{ALGMFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ALGMFACT}{factor}
 
 <<package ALGMFACT AlgebraicMultFact>>=
 )abbrev package ALGMFACT AlgebraicMultFact
@@ -1314,6 +1339,24 @@ AlgebraicMultFact(OV,E,P) : C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{ALGPKG}{basis} &
+\cross{ALGPKG}{basisOfCenter} &
+\cross{ALGPKG}{basisOfCentroid} &
+\cross{ALGPKG}{basisOfCommutingElements} &
+\cross{ALGPKG}{basisOfLeftAnnihilator} \\
+\cross{ALGPKG}{basisOfLeftNucleus} &
+\cross{ALGPKG}{basisOfLeftNucloid} &
+\cross{ALGPKG}{basisOfMiddleNucleus} &
+\cross{ALGPKG}{basisOfNucleus} &
+\cross{ALGPKG}{basisOfRightAnnihilator} \\
+\cross{ALGPKG}{basisOfRightNucleus} &
+\cross{ALGPKG}{basisOfRightNucloid} &
+\cross{ALGPKG}{biRank} &
+\cross{ALGPKG}{doubleRank} &
+\cross{ALGPKG}{leftRank} \\
+\cross{ALGPKG}{radicalOfLeftTraceForm} &
+\cross{ALGPKG}{rightRank} &
+\cross{ALGPKG}{weakBiRank} &&
 \end{tabular}
 
 <<package ALGPKG AlgebraPackage>>=
@@ -1792,7 +1835,10 @@ AlgebraPackage(R:IntegralDomain, A: FramedNonAssociativeAlgebra(R)): _
 \pagepic{ps/v104algfactor.ps}{ALGFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ALGFACT}{doublyTransitive?} &
+\cross{ALGFACT}{factor} &
+\cross{ALGFACT}{split} 
 \end{tabular}
 
 <<package ALGFACT AlgFactor>>=
@@ -1910,7 +1956,9 @@ AlgFactor(UP): Exports == Implementation where
 \pagepic{ps/v104annanumericalintegrationpackage.ps}{INTPACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{INTPACK}{integrate} &
+\cross{INTPACK}{measure} 
 \end{tabular}
 
 <<package INTPACK AnnaNumericalIntegrationPackage>>=
@@ -2430,7 +2478,10 @@ AnnaNumericalIntegrationPackage(): with
 \pagepic{ps/v104annanumericaloptimizationpackage.ps}{OPTPACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{OPTPACK}{goodnessOfFit} &
+\cross{OPTPACK}{measure} &
+\cross{OPTPACK}{optimize} 
 \end{tabular}
 
 <<package OPTPACK AnnaNumericalOptimizationPackage>>=
@@ -2838,7 +2889,9 @@ AnnaNumericalOptimizationPackage(): with
 \pagepic{ps/v104annaordinarydifferentialequationpackage.ps}{ODEPACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{ODEPACK}{measure} &
+\cross{ODEPACK}{solve}
 \end{tabular}
 
 <<package ODEPACK AnnaOrdinaryDifferentialEquationPackage>>=
@@ -3255,7 +3308,9 @@ AnnaOrdinaryDifferentialEquationPackage(): with
 \pagepic{ps/v104annapartialdifferentialequationpackage.ps}{PDEPACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{PDEPACK}{measure} &
+\cross{PDEPACK}{solve}
 \end{tabular}
 
 <<package PDEPACK AnnaPartialDifferentialEquationPackage>>=
@@ -3522,7 +3577,11 @@ AnnaPartialDifferentialEquationPackage(): with
 \pagepic{ps/v104anyfunctions1.ps}{ANY1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{ANY1}{coerce} &
+\cross{ANY1}{retract} &
+\cross{ANY1}{retractable?} &
+\cross{ANY1}{retractIfCan} 
 \end{tabular}
 
 <<package ANY1 AnyFunctions1>>=
@@ -3586,7 +3645,9 @@ AnyFunctions1(S:Type): with
 \pagepic{ps/v104applyrules.ps}{APPRULE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{APPRULE}{applyRules} &
+\cross{APPRULE}{localUnquote}
 \end{tabular}
 
 <<package APPRULE ApplyRules>>=
@@ -3720,8 +3781,7 @@ ApplyRules(Base, R, F): Exports == Implementation where
 \pagepic{ps/v104applyunivariateskewpolynomial.ps}{APPLYORE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{APPLYORE}{apply}
 
 <<package APPLYORE ApplyUnivariateSkewPolynomial>>=
 )abbrev package APPLYORE ApplyUnivariateSkewPolynomial
@@ -3759,7 +3819,10 @@ ApplyUnivariateSkewPolynomial(R:Ring, M: LeftModule R,
 \pagepic{ps/v104associatedequations.ps}{ASSOCEQ}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{ASSOCEQ}{associatedEquations} &
+\cross{ASSOCEQ}{associatedSystem} &
+\cross{ASSOCEQ}{uncouplingMatrices} 
 \end{tabular}
 
 <<package ASSOCEQ AssociatedEquations>>=
@@ -3882,8 +3945,7 @@ AssociatedEquations(R, L):Exports == Implementation where
 \pagepic{ps/v104attachpredicates.ps}{PMPRED}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMPRED}{suchThat}
 
 <<package PMPRED AttachPredicates>>=
 )abbrev package PMPRED AttachPredicates
@@ -3924,7 +3986,10 @@ AttachPredicates(D:Type): Exports == Implementation where
 \pagepic{ps/v104axiomserver.ps}{AXSERV}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{AXSERV}{multiServ} &
+\cross{ASSOCEQ}{axServer} &
+\cross{ASSOCEQ}{getDatabase} 
 \end{tabular}
 
 <<package AXSERV AxiomServer>>=
@@ -4626,8 +4691,7 @@ input.
 \pagepic{ps/v104balancedfactorisation.ps}{BALFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{BALFACT}{balancedFactorisation}
 
 <<package BALFACT BalancedFactorisation>>=
 )abbrev package BALFACT BalancedFactorisation
@@ -4685,7 +4749,11 @@ BalancedFactorisation(R, UP): Exports == Implementation where
 \pagepic{ps/v104basicoperatorfunctions1.ps}{BOP1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{BOP1}{constantOpIfCan} &
+\cross{BOP1}{constantOperator} &
+\cross{BOP1}{derivative} &
+\cross{BOP1}{evaluate} 
 \end{tabular}
 
 <<package BOP1 BasicOperatorFunctions1>>=
@@ -4819,7 +4887,11 @@ BasicOperatorFunctions1(A:SetCategory): Exports == Implementation where
 \pagepic{ps/v104bezoutmatrix.ps}{BEZOUT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{BEZOUT}{bezoutDiscriminant} &
+\cross{BEZOUT}{bezoutMatrix} &
+\cross{BEZOUT}{bezoutResultant} &
+\cross{BEZOUT}{sylvesterMatrix} 
 \end{tabular}
 
 <<package BEZOUT BezoutMatrix>>=
@@ -4985,8 +5057,7 @@ BezoutMatrix(R,UP,M,Row,Col): Exports == Implementation where
 \pagepic{ps/v104boundintegerroots.ps}{BOUNDZRO}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{BOUNDZRO}{integerBound}
 
 <<package BOUNDZRO BoundIntegerRoots>>=
 )abbrev package BOUNDZRO BoundIntegerRoots
@@ -5083,7 +5154,10 @@ BoundIntegerRoots(F, UP): Exports == Implementation where
 \pagepic{ps/v104brillharttests.ps}{BRILL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{BRILL}{noLinearFactor?} &
+\cross{BEZOUT}{brillhartIrreducible?} &
+\cross{BEZOUT}{brillhartTrials} 
 \end{tabular}
 
 <<package BRILL BrillhartTests>>=
@@ -5206,7 +5280,9 @@ BrillhartTests(UP): Exports == Implementation where
 \pagepic{ps/v104cartesiantensorfunctions2.ps}{CARTEN2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{CARTEN2}{map} &
+\cross{CARTEN2}{reshape}
 \end{tabular}
 
 <<package CARTEN2 CartesianTensorFunctions2>>=
@@ -5256,7 +5332,13 @@ CartesianTensorFunctions2(minix, dim, S, T): CTPcat == CTPdef where
 \pagepic{ps/v104changeofvariable.ps}{CHVAR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{CHVAR}{chvar} &
+\cross{CHVAR}{eval} &
+\cross{CHVAR}{goodPoint} &
+\cross{CHVAR}{mkIntegral} \\
+\cross{CHVAR}{radPoly} &
+\cross{CHVAR}{rootPoly} &&
 \end{tabular}
 
 <<package CHVAR ChangeOfVariable>>=
@@ -5401,8 +5483,7 @@ ChangeOfVariable(F, UP, UPUP): Exports == Implementation where
 \pagepic{ps/v104characteristicpolynomialinmonogenicalalgebra.ps}{CPIMA}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{CPIMA}{characteristicPolynomial}
 
 <<package CPIMA CharacteristicPolynomialInMonogenicalAlgebra>>=
 )abbrev package CPIMA CharacteristicPolynomialInMonogenicalAlgebra
@@ -5452,8 +5533,7 @@ CharacteristicPolynomialInMonogenicalAlgebra(R : CommutativeRing,
 \pagepic{ps/v104characteristicpolynomialpackage.ps}{CHARPOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{CHARPOL}{characteristicPolynomial}
 
 <<package CHARPOL CharacteristicPolynomialPackage>>=
 )abbrev package CHARPOL CharacteristicPolynomialPackage
@@ -5504,7 +5584,10 @@ CharacteristicPolynomialPackage(R:CommutativeRing):C == T where
 \pagepic{ps/v104chineseremaindertoolsforintegralbases.ps}{IBACHIN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{IBACHIN}{chineseRemainder} &
+\cross{IBACHIN}{factorList} &
+\cross{IBACHIN}{listConjugateBases} 
 \end{tabular}
 
 <<package IBACHIN ChineseRemainderToolsForIntegralBases>>=
@@ -5695,7 +5778,9 @@ ChineseRemainderToolsForIntegralBases(K,R,UP): Exports == Implementation where
 \pagepic{ps/v104coercevectormatrixpackage.ps}{CVMP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{CVMP}{coerce} &
+\cross{CVMP}{coerceP}
 \end{tabular}
 
 <<package CVMP CoerceVectorMatrixPackage>>=
@@ -5765,6 +5850,24 @@ CoerceVectorMatrixPackage(R : CommutativeRing): public == private where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{COMBF}{belong?} &
+\cross{COMBF}{binomial} &
+\cross{COMBF}{factorial} &
+\cross{COMBF}{factorials} &
+\cross{COMBF}{iibinom} \\
+\cross{COMBF}{iidprod} &
+\cross{COMBF}{iidsum} &
+\cross{COMBF}{iifact} &
+\cross{COMBF}{iiperm} &
+\cross{COMBF}{iipow} \\
+\cross{COMBF}{ipow} &
+\cross{COMBF}{permutation} &
+\cross{COMBF}{product} &
+\cross{COMBF}{summation} &
+\cross{COMBF}{operator} \\
+\cross{COMBF}{product} &
+\cross{COMBF}{summation} &
+\cross{COMBF}{?**?} &&
 \end{tabular}
 
 <<package COMBF CombinatorialFunction>>=
@@ -6405,7 +6508,10 @@ equality.
 \pagepic{ps/v104commondenominator.ps}{CDEN}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{CDEN}{clearDenominator} &
+\cross{COMBF}{commonDenominator} &
+\cross{COMBF}{splitDenominator} 
 \end{tabular}
 
 <<package CDEN CommonDenominator>>=
@@ -6465,8 +6571,7 @@ CommonDenominator(R, Q, A): Exports == Implementation where
 \pagepic{ps/v104commonoperators.ps}{COMMONOP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{COMMONOP}{operator}
 
 <<package COMMONOP CommonOperators>>=
 )abbrev package COMMONOP CommonOperators
@@ -6663,8 +6768,7 @@ CommonOperators(): Exports == Implementation where
 \pagepic{ps/v104commuteunivariatepolynomialcategory.ps}{COMMUPC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{COMMUPC}{swap}
 
 <<package COMMUPC CommuteUnivariatePolynomialCategory>>=
 )abbrev package COMMUPC CommuteUnivariatePolynomialCategory
@@ -6724,8 +6828,7 @@ CommuteUnivariatePolynomialCategory(R, UP, UPUP): Exports == Impl where
 \pagepic{ps/v104complexfactorization.ps}{COMPFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{COMPFACT}{factor}
 
 <<package COMPFACT ComplexFactorization>>=
 )abbrev package COMPFACT ComplexFactorization
@@ -6827,8 +6930,7 @@ ComplexFactorization(RR,PR) : C == T where
 \pagepic{ps/v104complexfunctions2.ps}{COMPLEX2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{COMPLEX2}{map}
 
 <<package COMPLEX2 ComplexFunctions2>>=
 )abbrev package COMPLEX2 ComplexFunctions2
@@ -6863,8 +6965,7 @@ ComplexFunctions2(R:CommutativeRing, S:CommutativeRing): with
 \pagepic{ps/v104complexintegersolvelinearpolynomialequation.ps}{CINTSLPE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{CINTSLPE}{solveLinearPolynomialEquation}
 
 <<package CINTSLPE ComplexIntegerSolveLinearPolynomialEquation>>=
 )abbrev package CINTSLPE ComplexIntegerSolveLinearPolynomialEquation
@@ -6928,8 +7029,7 @@ ComplexIntegerSolveLinearPolynomialEquation(R,CR): C == T
 \pagepic{ps/v104complexpattern.ps}{COMPLPAT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{COMPLPAT}{convert}
 
 <<package COMPLPAT ComplexPattern>>=
 )abbrev package COMPLPAT ComplexPattern
@@ -6973,8 +7073,7 @@ ComplexPattern(R, S, CS) : C == T where
 \pagepic{ps/v104complexpatternmatch.ps}{CPMATCH}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{CPMATCH}{patternMatch}
 
 <<package CPMATCH ComplexPatternMatch>>=
 )abbrev package CPMATCH ComplexPatternMatch
@@ -7040,6 +7139,17 @@ ComplexPatternMatch(R, S, CS) : C == T where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{CRFP}{complexZeros} &
+\cross{CRFP}{divisorCascade} &
+\cross{CRFP}{factor} &
+\cross{CRFP}{graeffe} &
+\cross{CRFP}{norm} \\
+\cross{CRFP}{pleskenSplit} &
+\cross{CRFP}{reciprocalPolynomial} &
+\cross{CRFP}{rootRadius} &
+\cross{CRFP}{schwerpunkt} &
+\cross{CRFP}{setErrorBound} \\
+\cross{CRFP}{startPolynomial} &&&&
 \end{tabular}
 
 <<package CRFP ComplexRootFindingPackage>>=
@@ -7642,8 +7752,7 @@ ComplexRootFindingPackage(R, UP): public == private where
 \pagepic{ps/v104complexrootpackage.ps}{CMPLXRT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{CMPLXRT}{complexZeros}
 
 <<package CMPLXRT ComplexRootPackage>>=
 )abbrev package CMPLXRT ComplexRootPackage
@@ -7718,7 +7827,13 @@ ComplexRootPackage(UP,Par) : T == C where
 \pagepic{ps/v104complextrigonometricmanipulations.ps}{CTRIGMNP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{CTRIGMNP}{complexElementary} &
+\cross{CTRIGMNP}{complexForm} &
+\cross{CTRIGMNP}{complexNormalize} &
+\cross{CTRIGMNP}{imag} \\
+\cross{CTRIGMNP}{real} &
+\cross{CTRIGMNP}{trigs} &&
 \end{tabular}
 
 <<package CTRIGMNP ComplexTrigonometricManipulations>>=
@@ -7841,8 +7956,7 @@ ComplexTrigonometricManipulations(R, F): Exports == Implementation where
 \pagepic{ps/v104constantlode.ps}{ODECONST}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ODECONST}{constDsolve}
 
 <<package ODECONST ConstantLODE>>=
 )abbrev package ODECONST ConstantLODE
@@ -7938,6 +8052,21 @@ ConstantLODE(R, F, L): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{COORDSYS}{bipolar} &
+\cross{COORDSYS}{bipolarCylindrical} &
+\cross{COORDSYS}{cartesian} &
+\cross{COORDSYS}{conical} &
+\cross{COORDSYS}{cylindrical} \\
+\cross{COORDSYS}{elliptic} &
+\cross{COORDSYS}{ellipticCylindrical} &
+\cross{COORDSYS}{oblateSpheroidal} &
+\cross{COORDSYS}{parabolic} &
+\cross{COORDSYS}{parabolicCylindrical} \\
+\cross{COORDSYS}{paraboloidal} &
+\cross{COORDSYS}{polar} &
+\cross{COORDSYS}{prolateSpheroidal} &
+\cross{COORDSYS}{spherical} &
+\cross{COORDSYS}{toroidal} 
 \end{tabular}
 
 <<package COORDSYS CoordinateSystems>>=
@@ -8137,7 +8266,10 @@ CoordinateSystems(R): Exports == Implementation where
 \pagepic{ps/v104crapackage.ps}{CRAPACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{CRAPACK}{modTree} &
+\cross{CRAPACK}{chineseRemainder} &
+\cross{CRAPACK}{multiEuclideanTree} 
 \end{tabular}
 
 <<package CRAPACK CRApackage>>=
@@ -9136,6 +9268,19 @@ o )show CycleIndicators
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{CYCLES}{alternating} &
+\cross{CYCLES}{cap} &
+\cross{CYCLES}{complete} &
+\cross{CYCLES}{cup} &
+\cross{CYCLES}{cyclic} \\
+\cross{CYCLES}{dihedral} &
+\cross{CYCLES}{elementary} &
+\cross{CYCLES}{eval} &
+\cross{CYCLES}{graphs} &
+\cross{CYCLES}{powerSum} \\
+\cross{CYCLES}{SFunction} &
+\cross{CYCLES}{skewSFunction} &
+\cross{CYCLES}{wreath} &&
 \end{tabular}
 
 <<package CYCLES CycleIndicators>>=
@@ -9372,7 +9517,10 @@ CycleIndicators: Exports == Implementation where
 \pagepic{ps/v104cyclicstreamtools.ps}{CSTTOOLS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{CSTTOOLS}{computeCycleEntry} &
+\cross{CSTTOOLS}{computeCycleLength} &
+\cross{CSTTOOLS}{cycleElt}
 \end{tabular}
 
 <<package CSTTOOLS CyclicStreamTools>>=
@@ -9454,7 +9602,10 @@ CyclicStreamTools(S,ST): Exports == Implementation where
 \pagepic{ps/v104cyclotomicpolynomialpackage.ps}{CYCLOTOM}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{CYCLOTOM}{cyclotomic} &
+\cross{CYCLOTOM}{cyclotomicDecomposition} &
+\cross{CYCLOTOM}{cyclotomicFactorization}
 \end{tabular}
 
 <<package CYCLOTOM CyclotomicPolynomialPackage>>=
@@ -9525,7 +9676,10 @@ CyclotomicPolynomialPackage: public == private where
 \pagepic{ps/v104definiteintegrationtools.ps}{DFINTTLS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{DFINTTLS}{ignore?} &
+\cross{DFINTTLS}{checkForZero} &
+\cross{DFINTTLS}{computeInt} 
 \end{tabular}
 
 <<package DFINTTLS DefiniteIntegrationTools>>=
@@ -9789,7 +9943,9 @@ DefiniteIntegrationTools(R, F): Exports == Implementation where
 \pagepic{ps/v104degreereductionpackage.ps}{DEGRED}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{DEGRED}{expand} &
+\cross{DEGRED}{reduce}
 \end{tabular}
 
 <<package DEGRED DegreeReductionPackage>>=
@@ -9850,8 +10006,7 @@ DegreeReductionPackage(R1, R2): Cat == Capsule where
 \pagepic{ps/v104diophantinesolutionpackage.ps}{DIOSP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DIOSP}{dioSolve}
 
 <<package DIOSP DiophantineSolutionPackage>>=
 )abbrev package DIOSP DiophantineSolutionPackage
@@ -10042,7 +10197,10 @@ DiophantineSolutionPackage(): Cat == Capsule where
 \pagepic{ps/v104directproductfunctions2.ps}{DIRPROD2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{DIRPROD2}{map} &
+\cross{DIRPROD2}{reduce} &
+\cross{DIRPROD2}{scan}
 \end{tabular}
 
 <<package DIRPROD2 DirectProductFunctions2>>=
@@ -10105,8 +10263,7 @@ DirectProductFunctions2(dim, A, B): Exports == Implementation where
 \pagepic{ps/v104discretelogarithmpackage.ps}{DLP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DLP}{shanksDiscLogAlgorithm}
 
 <<package DLP DiscreteLogarithmPackage>>=
 )abbrev package DLP DiscreteLogarithmPackage
@@ -10201,7 +10358,13 @@ DiscreteLogarithmPackage(M): public == private where
 \pagepic{ps/v104displaypackage.ps}{DISPLAY}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{DISPLAY}{bright} &
+\cross{DISPLAY}{center} &
+\cross{DISPLAY}{copies} &
+\cross{DISPLAY}{newLine} &
+\cross{DISPLAY}{say} &
+\cross{DISPLAY}{sayLength} 
 \end{tabular}
 
 <<package DISPLAY DisplayPackage>>=
@@ -10334,6 +10497,15 @@ DisplayPackage: public == private where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{DDFACT}{distdfact} &
+\cross{DDFACT}{exptMod} &
+\cross{DDFACT}{factor} &
+\cross{DDFACT}{factorSquareFree} &
+\cross{DDFACT}{irreducible?} \\
+\cross{DDFACT}{separateDegrees} &
+\cross{DDFACT}{separateFactors} &
+\cross{DDFACT}{trace2PowMod} &
+\cross{DDFACT}{tracePowMod} &
 \end{tabular}
 
 <<package DDFACT DistinctDegreeFactorize>>=
@@ -10601,6 +10773,27 @@ DistinctDegreeFactorize(F,FP): C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{DFSFUN}{airyAi} &
+\cross{DFSFUN}{airyBi} &
+\cross{DFSFUN}{besselI} &
+\cross{DFSFUN}{besselJ} &
+\cross{DFSFUN}{besselK} \\
+\cross{DFSFUN}{besselY} &
+\cross{DFSFUN}{Beta} &
+\cross{DFSFUN}{digamma} &
+\cross{DFSFUN}{E1} &
+\cross{DFSFUN}{Ei} \\
+\cross{DFSFUN}{Ei1} &
+\cross{DFSFUN}{Ei2} &
+\cross{DFSFUN}{Ei3} &
+\cross{DFSFUN}{Ei4} &
+\cross{DFSFUN}{Ei5} \\
+\cross{DFSFUN}{Ei6} &
+\cross{DFSFUN}{En} &
+\cross{DFSFUN}{Gamma} &
+\cross{DFSFUN}{hypergeometric0F1} &
+\cross{DFSFUN}{logGamma} \\
+\cross{DFSFUN}{polygamma} &&&&
 \end{tabular}
 
 <<package DFSFUN DoubleFloatSpecialFunctions>>=
@@ -12722,8 +12915,7 @@ $\infty$ & -1.000 & 0.100000000 0000000000 00000000001 E 01\\
 \pagepic{ps/v104doubleresultantpackage.ps}{DBLRESP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DBLRESP}{doubleResultant}
 
 <<package DBLRESP DoubleResultantPackage>>=
 )abbrev package DBLRESP DoubleResultantPackage
@@ -12790,6 +12982,11 @@ DoubleResultantPackage(F, UP, UPUP, R): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{DRAWCX}{setImagSteps} &
+\cross{DRAWCX}{setRealSteps} &
+\cross{DRAWCX}{drawComplex} &
+\cross{DRAWCX}{drawComplexVectorField} &
+\cross{DRAWCX}{setClipValue} 
 \end{tabular}
 
 <<package DRAWCX DrawComplex>>=
@@ -12978,8 +13175,7 @@ DrawComplex(): Exports == Implementation where
 \pagepic{ps/v104drawnumerichack.ps}{DRAWHACK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DRAWHACK}{coerce}
 
 <<package DRAWHACK DrawNumericHack>>=
 )abbrev package DRAWHACK DrawNumericHack
@@ -13023,6 +13219,22 @@ DrawNumericHack(R:Join(OrderedSet,IntegralDomain,ConvertibleTo Float)):
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{DROPT0}{adaptive} &
+\cross{DROPT0}{clipBoolean} &
+\cross{DROPT0}{coord} &
+\cross{DROPT0}{curveColorPalette} &
+\cross{DROPT0}{pointColorPalette} \\
+\cross{DROPT0}{ranges} &
+\cross{DROPT0}{space} &
+\cross{DROPT0}{style} &
+\cross{DROPT0}{title} &
+\cross{DROPT0}{toScale} \\
+\cross{DROPT0}{tubePoints} &
+\cross{DROPT0}{tubeRadius} &
+\cross{DROPT0}{units} &
+\cross{DROPT0}{var1Steps} &
+\cross{DROPT0}{var2Steps} \\
+\cross{DROPT0}{viewpoint} &
 \end{tabular}
 
 <<package DROPT0 DrawOptionFunctions0>>=
@@ -13204,8 +13416,7 @@ DrawOptionFunctions0(): Exports == Implementation where
 \pagepic{ps/v104drawoptionfunctions1.ps}{DROPT1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{DROPT1}{option}
 
 <<package DROPT1 DrawOptionFunctions1>>=
 )abbrev package DROPT1 DrawOptionFunctions1
@@ -13244,6 +13455,18 @@ DrawOptionFunctions1(S:Type): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{D01AGNT}{changeName} &
+\cross{D01AGNT}{commaSeparate} &
+\cross{D01AGNT}{df2st} &
+\cross{D01AGNT}{functionIsContinuousAtEndPoints} &
+\cross{D01AGNT}{functionIsOscillatory} \\
+\cross{D01AGNT}{gethi} &
+\cross{D01AGNT}{getlo} &
+\cross{D01AGNT}{ldf2lst} &
+\cross{D01AGNT}{problemPoints} &
+\cross{D01AGNT}{rangeIsFinite} \\
+\cross{D01AGNT}{sdf2lst} &
+\cross{D01AGNT}{singularitiesOf} &&&
 \end{tabular}
 
 <<package D01AGNT d01AgentsPackage>>=
@@ -13535,7 +13758,10 @@ d01AgentsPackage(): E == I where
 \pagepic{ps/v104d01weightspackage.ps}{D01WGTS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{D01WGTS}{exprHasAlgebraicWeight} &
+\cross{D01WGTS}{exprHasLogarithmicWeights} &
+\cross{D01WGTS}{exprHasWeightCosWXorSinWX} 
 \end{tabular}
 
 <<package D01WGTS d01WeightsPackage>>=
@@ -13807,6 +14033,16 @@ d01WeightsPackage(): E == I where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{D02AGNT}{accuracyIF} &
+\cross{D02AGNT}{combineFeatureCompatibility} &
+\cross{D02AGNT}{eval} &
+\cross{D02AGNT}{expenseOfEvaluationIF} &
+\cross{D02AGNT}{intermediateResultsIF} \\
+\cross{D02AGNT}{jacobian} &
+\cross{D02AGNT}{sparsityIF} &
+\cross{D02AGNT}{stiffnessAndStabilityFactor} &
+\cross{D02AGNT}{stiffnessAndStabilityOfODEIF} &
+\cross{D02AGNT}{systemSizeIF} 
 \end{tabular}
 
 <<package D02AGNT d02AgentsPackage>>=
@@ -14110,7 +14346,11 @@ d02AgentsPackage(): E == I where
 \pagepic{ps/v104d03agentspackage.ps}{D03AGNT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{D03AGNT}{central?} &
+\cross{D03AGNT}{elliptic?} &
+\cross{D03AGNT}{subscriptedVariables} &
+\cross{D03AGNT}{varList}
 \end{tabular}
 
 <<package D03AGNT d03AgentsPackage>>=
@@ -14219,7 +14459,13 @@ d03AgentsPackage(): E == I where
 \pagepic{ps/v104eigenpackage.ps}{EP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{EP}{characteristicPolynomial} &
+\cross{EP}{eigenvalues} &
+\cross{EP}{eigenvector} &
+\cross{EP}{eigenvectors} &
+\cross{EP}{generalizedEigenvector} &
+\cross{EP}{generalizedEigenvectors} 
 \end{tabular}
 
 <<package EP EigenPackage>>=
@@ -14481,6 +14727,65 @@ EigenPackage(R) : C == T
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{EF}{acos} &
+\cross{EF}{acosh} &
+\cross{EF}{acot} &
+\cross{EF}{acoth} &
+\cross{EF}{acsc} \\
+\cross{EF}{acsch} &
+\cross{EF}{asec} &
+\cross{EF}{asech} &
+\cross{EF}{asin} &
+\cross{EF}{asinh} \\
+\cross{EF}{atan} &
+\cross{EF}{atanh} &
+\cross{EF}{belong?} &
+\cross{EF}{cos} &
+\cross{EF}{cosh} \\
+\cross{EF}{cot} &
+\cross{EF}{coth} &
+\cross{EF}{csc} &
+\cross{EF}{csch} &
+\cross{EF}{exp} \\
+\cross{EF}{iiacos} &
+\cross{EF}{iiacosh} &
+\cross{EF}{iiacot} &
+\cross{EF}{iiacoth} &
+\cross{EF}{iiacsc} \\
+\cross{EF}{iiacsch} &
+\cross{EF}{iiasec} &
+\cross{EF}{iiasech} &
+\cross{EF}{iiasin} &
+\cross{EF}{iiasinh} \\
+\cross{EF}{iiatan} &
+\cross{EF}{iiatanh} &
+\cross{EF}{iicos} &
+\cross{EF}{iicosh} &
+\cross{EF}{iicot} \\
+\cross{EF}{iicoth} &
+\cross{EF}{iicsc} &
+\cross{EF}{iicsch} &
+\cross{EF}{iiexp} &
+\cross{EF}{iilog} \\
+\cross{EF}{iisec} &
+\cross{EF}{iisech} &
+\cross{EF}{iisin} &
+\cross{EF}{iisinh} &
+\cross{EF}{iisqrt2} \\
+\cross{EF}{iisqrt3} &
+\cross{EF}{iitan} &
+\cross{EF}{iitanh} &
+\cross{EF}{localReal?} &
+\cross{EF}{log} \\
+\cross{EF}{operator} &
+\cross{EF}{pi} &
+\cross{EF}{sec} &
+\cross{EF}{sech} &
+\cross{EF}{sin} \\
+\cross{EF}{sinh} &
+\cross{EF}{specialTrigs} &
+\cross{EF}{tan} &
+\cross{EF}{tanh} &
 \end{tabular}
 
 <<package EF ElementaryFunction>>=
@@ -15350,7 +15655,10 @@ ElementaryFunction(R, F): Exports == Implementation where
 \pagepic{ps/v104elementaryfunctiondefiniteintegration.ps}{DEFINTEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{DEFINTEF}{innerint} &
+\cross{DEFINTEF}{integrate} &
+\cross{DEFINTEF}{integrate} 
 \end{tabular}
 
 <<package DEFINTEF ElementaryFunctionDefiniteIntegration>>=
@@ -15577,8 +15885,7 @@ ElementaryFunctionDefiniteIntegration(R, F): Exports == Implementation where
 \pagepic{ps/v104elementaryfunctionlodesolver.ps}{LODEEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{LODEEF}{solve} 
 
 <<package LODEEF ElementaryFunctionLODESolver>>=
 )abbrev package LODEEF ElementaryFunctionLODESolver
@@ -15846,8 +16153,7 @@ ElementaryFunctionLODESolver(R, F, L): Exports == Implementation where
 \pagepic{ps/v104elementaryfunctionodesolver.ps}{ODEEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ODEEF}{solve} 
 
 <<package ODEEF ElementaryFunctionODESolver>>=
 )abbrev package ODEEF ElementaryFunctionODESolver
@@ -16123,8 +16429,7 @@ ElementaryFunctionODESolver(R, F): Exports == Implementation where
 \pagepic{ps/v104elementaryfunctionsign.ps}{SIGNEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SIGNEF}{sign} 
 
 <<package SIGNEF ElementaryFunctionSign>>=
 )abbrev package SIGNEF ElementaryFunctionSign
@@ -16328,7 +16633,13 @@ ElementaryFunctionSign(R,F): Exports == Implementation where
 \pagepic{ps/v104elementaryfunctionstructurepackage.ps}{EFSTRUC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llllll}
+\cross{EFSTRUC}{normalize} &
+\cross{EFSTRUC}{realElementary} &
+\cross{EFSTRUC}{rootNormalize} &
+\cross{EFSTRUC}{rischNormalize} &
+\cross{EFSTRUC}{tanQ} &
+\cross{EFSTRUC}{validExponential} 
 \end{tabular}
 
 <<package EFSTRUC ElementaryFunctionStructurePackage>>=
@@ -16740,6 +17051,60 @@ ElementaryFunctionStructurePackage(R,F): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{EFULS}{acos} &
+\cross{EFULS}{acosIfCan} &
+\cross{EFULS}{acosh} &
+\cross{EFULS}{acoshIfCan} &
+\cross{EFULS}{acot} \\
+\cross{EFULS}{acotIfCan} &
+\cross{EFULS}{acoth} &
+\cross{EFULS}{acothIfCan} &
+\cross{EFULS}{acsc} &
+\cross{EFULS}{acscIfCan} \\
+\cross{EFULS}{acsch} &
+\cross{EFULS}{acschIfCan} &
+\cross{EFULS}{asec} &
+\cross{EFULS}{asecIfCan} &
+\cross{EFULS}{asech} \\
+\cross{EFULS}{asechIfCan} &
+\cross{EFULS}{asin} &
+\cross{EFULS}{asinIfCan} &
+\cross{EFULS}{asinh} &
+\cross{EFULS}{asinhIfCan} \\
+\cross{EFULS}{atan} &
+\cross{EFULS}{atanIfCan} &
+\cross{EFULS}{atanh} &
+\cross{EFULS}{atanhIfCan} &
+\cross{EFULS}{cos} \\
+\cross{EFULS}{cosIfCan} &
+\cross{EFULS}{cosh} &
+\cross{EFULS}{coshIfCan} &
+\cross{EFULS}{cot} &
+\cross{EFULS}{cotIfCan} \\
+\cross{EFULS}{coth} &
+\cross{EFULS}{cothIfCan} &
+\cross{EFULS}{csc} &
+\cross{EFULS}{cscIfCan} &
+\cross{EFULS}{csch} \\
+\cross{EFULS}{cschIfCan} &
+\cross{EFULS}{exp} &
+\cross{EFULS}{expIfCan} &
+\cross{EFULS}{log} &
+\cross{EFULS}{logIfCan} \\
+\cross{EFULS}{nthRootIfCan} &
+\cross{EFULS}{sec} &
+\cross{EFULS}{secIfCan} &
+\cross{EFULS}{sech} &
+\cross{EFULS}{sechIfCan} \\
+\cross{EFULS}{sin} &
+\cross{EFULS}{sinIfCan} &
+\cross{EFULS}{sinh} &
+\cross{EFULS}{sinhIfCan} &
+\cross{EFULS}{tan} \\
+\cross{EFULS}{tanIfCan} &
+\cross{EFULS}{tanh} &
+\cross{EFULS}{tanhIfCan} &
+\cross{EFULS}{?**?} &
 \end{tabular}
 
 <<package EFULS ElementaryFunctionsUnivariateLaurentSeries>>=
@@ -17100,6 +17465,60 @@ ElementaryFunctionsUnivariateLaurentSeries(Coef,UTS,ULS):_
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{EFUPXS}{acos} &
+\cross{EFUPXS}{acosIfCan} &
+\cross{EFUPXS}{acosh} &
+\cross{EFUPXS}{acoshIfCan} &
+\cross{EFUPXS}{acot} \\
+\cross{EFUPXS}{acotIfCan} &
+\cross{EFUPXS}{acoth} &
+\cross{EFUPXS}{acothIfCan} &
+\cross{EFUPXS}{acsc} &
+\cross{EFUPXS}{acscIfCan} \\
+\cross{EFUPXS}{acsch} &
+\cross{EFUPXS}{acschIfCan} &
+\cross{EFUPXS}{asec} &
+\cross{EFUPXS}{asecIfCan} &
+\cross{EFUPXS}{asech} \\
+\cross{EFUPXS}{asechIfCan} &
+\cross{EFUPXS}{asin} &
+\cross{EFUPXS}{asinIfCan} &
+\cross{EFUPXS}{asinh} &
+\cross{EFUPXS}{asinhIfCan} \\
+\cross{EFUPXS}{atan} &
+\cross{EFUPXS}{atanIfCan} &
+\cross{EFUPXS}{atanh} &
+\cross{EFUPXS}{atanhIfCan} &
+\cross{EFUPXS}{cos} \\
+\cross{EFUPXS}{cosIfCan} &
+\cross{EFUPXS}{cosh} &
+\cross{EFUPXS}{coshIfCan} &
+\cross{EFUPXS}{cot} &
+\cross{EFUPXS}{cotIfCan} \\
+\cross{EFUPXS}{coth} &
+\cross{EFUPXS}{cothIfCan} &
+\cross{EFUPXS}{csc} &
+\cross{EFUPXS}{cscIfCan} &
+\cross{EFUPXS}{csch} \\
+\cross{EFUPXS}{cschIfCan} &
+\cross{EFUPXS}{exp} &
+\cross{EFUPXS}{expIfCan} &
+\cross{EFUPXS}{log} &
+\cross{EFUPXS}{logIfCan} \\
+\cross{EFUPXS}{nthRootIfCan} &
+\cross{EFUPXS}{sec} &
+\cross{EFUPXS}{secIfCan} &
+\cross{EFUPXS}{sech} &
+\cross{EFUPXS}{sechIfCan} \\
+\cross{EFUPXS}{sin} &
+\cross{EFUPXS}{sinIfCan} &
+\cross{EFUPXS}{sinh} &
+\cross{EFUPXS}{sinhIfCan} &
+\cross{EFUPXS}{tan} \\
+\cross{EFUPXS}{tanIfCan} &
+\cross{EFUPXS}{tanh} &
+\cross{EFUPXS}{tanhIfCan} &
+\cross{EFUPXS}{?**?} &
 \end{tabular}
 
 <<package EFUPXS ElementaryFunctionsUnivariatePuiseuxSeries>>=
@@ -17375,6 +17794,11 @@ ElementaryFunctionsUnivariatePuiseuxSeries(Coef,ULS,UPXS,EFULS):_
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{INTEF}{lfextendedint} &
+\cross{INTEF}{lfextlimint} &
+\cross{INTEF}{lfinfieldint} &
+\cross{INTEF}{lfintegrate} &
+\cross{INTEF}{lflimitedint} 
 \end{tabular}
 
 <<package INTEF ElementaryIntegration>>=
@@ -17772,8 +18196,7 @@ See the above discussion for why this causes an infinite loop.
 \pagepic{ps/v104elementaryrischde.ps}{RDEEF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RDEEF}{rischDE} 
 
 <<package RDEEF ElementaryRischDE>>=
 )abbrev package RDEEF ElementaryRischDE
@@ -18159,8 +18582,7 @@ ElementaryRischDE(R, F): Exports == Implementation where
 \pagepic{ps/v104elementaryrischdesystem.ps}{RDEEFS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{RDEEFS}{rischDEsys} 
 
 <<package RDEEFS ElementaryRischDESystem>>=
 )abbrev package RDEEFS ElementaryRischDESystem
@@ -18268,7 +18690,11 @@ ElementaryRischDESystem(R, F): Exports == Implementation where
 \pagepic{ps/v104ellipticfunctionsunivariatetaylorseries.ps}{ELFUTS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{ELFUTS}{cn} &
+\cross{ELFUTS}{dn} &
+\cross{ELFUTS}{sn} &
+\cross{ELFUTS}{sncndn} 
 \end{tabular}
 
 <<package ELFUTS EllipticFunctionsUnivariateTaylorSeries>>=
@@ -18338,8 +18764,7 @@ EllipticFunctionsUnivariateTaylorSeries(Coef,UTS):
 \pagepic{ps/v104equationfunctions2.ps}{EQ2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{EQ2}{map}
 
 <<package EQ2 EquationFunctions2>>=
 )abbrev package EQ2 EquationFunctions2
@@ -18374,8 +18799,7 @@ EquationFunctions2(S: Type, R: Type): with
 \pagepic{ps/v104errorfunctions.ps}{ERROR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ERROR}{error} 
 
 <<package ERROR ErrorFunctions>>=
 )abbrev package ERROR ErrorFunctions
@@ -19595,7 +20019,9 @@ o )show GroebnerPackage
 \pagepic{ps/v104euclideangroebnerbasispackage.ps}{GBEUCLID}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{GBEUCLID}{euclideanGroebner} &
+\cross{GBEUCLID}{euclideanNormalForm} 
 \end{tabular}
 
 <<package GBEUCLID EuclideanGroebnerBasisPackage>>=
@@ -20138,8 +20564,7 @@ EuclideanGroebnerBasisPackage(Dom, Expon, VarSet, Dpol): T == C where
 \pagepic{ps/v104evaluatecycleindicators.ps}{EVALCYC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{EVALCYC}{eval} 
 
 <<package EVALCYC EvaluateCycleIndicators>>=
 )abbrev package EVALCYC EvaluateCycleIndicators
@@ -20198,6 +20623,17 @@ EvaluateCycleIndicators(F):T==C where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{ESCONT}{df2st} &
+\cross{ESCONT}{functionIsFracPolynomial?} &
+\cross{ESCONT}{gethi} &
+\cross{ESCONT}{getlo} &
+\cross{ESCONT}{ldf2lst} \\
+\cross{ESCONT}{polynomialZeros} &
+\cross{ESCONT}{problemPoints} &
+\cross{ESCONT}{sdf2lst} &
+\cross{ESCONT}{singularitiesOf} &
+\cross{ESCONT}{singularitiesOf} \\
+\cross{ESCONT}{zerosOf} &
 \end{tabular}
 
 <<package ESCONT ExpertSystemContinuityPackage>>=
@@ -20465,8 +20901,7 @@ ExpertSystemContinuityPackage(): E == I where
 \pagepic{ps/v104expertsystemcontinuitypackage1.ps}{ESCONT1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ESCONT1}{in?} 
 
 <<package ESCONT1 ExpertSystemContinuityPackage1>>=
 )abbrev package ESCONT1 ExpertSystemContinuityPackage1
@@ -20528,6 +20963,42 @@ ExpertSystemContinuityPackage1(A:DF,B:DF): E == I where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{ESTOOLS}{att2Result} &
+\cross{ESTOOLS}{concat} &
+\cross{ESTOOLS}{convert} &
+\cross{ESTOOLS}{dflist} &
+\cross{ESTOOLS}{dfRange} \\
+\cross{ESTOOLS}{df2ef} &
+\cross{ESTOOLS}{df2fi} &
+\cross{ESTOOLS}{df2mf} &
+\cross{ESTOOLS}{df2st} &
+\cross{ESTOOLS}{edf2df} \\
+\cross{ESTOOLS}{edf2ef} &
+\cross{ESTOOLS}{edf2efi} &
+\cross{ESTOOLS}{edf2fi} &
+\cross{ESTOOLS}{ef2edf} &
+\cross{ESTOOLS}{expenseOfEvaluation} \\
+\cross{ESTOOLS}{fi2df} &
+\cross{ESTOOLS}{f2df} &
+\cross{ESTOOLS}{f2st} &
+\cross{ESTOOLS}{gethi} &
+\cross{ESTOOLS}{getlo} \\
+\cross{ESTOOLS}{iflist2Result} &
+\cross{ESTOOLS}{in?} &
+\cross{ESTOOLS}{isQuotient} &
+\cross{ESTOOLS}{ldf2lst} &
+\cross{ESTOOLS}{ldf2vmf} \\
+\cross{ESTOOLS}{mat} &
+\cross{ESTOOLS}{measure2Result} &
+\cross{ESTOOLS}{measure2Result} &
+\cross{ESTOOLS}{numberOfOperations} &
+\cross{ESTOOLS}{ocf2ocdf} \\
+\cross{ESTOOLS}{outputMeasure} &
+\cross{ESTOOLS}{pdf2df} &
+\cross{ESTOOLS}{pdf2ef} &
+\cross{ESTOOLS}{sdf2lst} &
+\cross{ESTOOLS}{socf2socdf} \\
+\cross{ESTOOLS}{vedf2vef} &&&&
 \end{tabular}
 
 <<package ESTOOLS ExpertSystemToolsPackage>>=
@@ -20914,8 +21385,7 @@ ExpertSystemToolsPackage():E == I where
 \pagepic{ps/v104expertsystemtoolspackage1.ps}{ESTOOLS1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ESTOOLS1}{neglist} 
 
 <<package ESTOOLS1 ExpertSystemToolsPackage1>>=
 )abbrev package ESTOOLS1 ExpertSystemToolsPackage1
@@ -20947,8 +21417,7 @@ ExpertSystemToolsPackage1(R1:OR): E == I where
 \pagepic{ps/v104expertsystemtoolspackage2.ps}{ESTOOLS2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ESTOOLS2}{map} 
 
 <<package ESTOOLS2 ExpertSystemToolsPackage2>>=
 )abbrev package ESTOOLS2 ExpertSystemToolsPackage2
@@ -20985,8 +21454,7 @@ ExpertSystemToolsPackage2(R1:R,R2:R): E == I where
 \pagepic{ps/v104ExpressionFunctions2.ps}{EXPR2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{EXPR2}{map} 
 
 <<package EXPR2 ExpressionFunctions2>>=
 )abbrev package EXPR2 ExpressionFunctions2
@@ -21050,7 +21518,9 @@ works. This is probably due to missing ``/'' in UFPS.
 \pagepic{ps/v104expressionsolve.ps}{EXPRSOL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{EXPRSOL}{replaceDiffs} &
+\cross{EXPRSOL}{seriesSolve} 
 \end{tabular}
 
 <<package EXPRSOL ExpressionSolve>>=
@@ -21141,8 +21611,7 @@ coefficient ring, since it will complain otherwise.
 \pagepic{ps/v104expressionspacefunctions1.ps}{ES1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ES1}{map} 
 
 <<package ES1 ExpressionSpaceFunctions1>>=
 )abbrev package ES1 ExpressionSpaceFunctions1
@@ -21181,8 +21650,7 @@ ExpressionSpaceFunctions1(F:ExpressionSpace, S:Type): with
 \pagepic{ps/v104expressionspacefunctions2.ps}{ES2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{ES2}{map} 
 
 <<package ES2 ExpressionSpaceFunctions2>>=
 )abbrev package ES2 ExpressionSpaceFunctions2
@@ -21216,8 +21684,7 @@ ExpressionSpaceFunctions2(E:ExpressionSpace, F:ExpressionSpace): with
 \pagepic{ps/v104expressionspaceodesolver.ps}{EXPRODE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{EXPRODE}{seriesSolve} 
 
 <<package EXPRODE ExpressionSpaceODESolver>>=
 )abbrev package EXPRODE ExpressionSpaceODESolver
@@ -21431,8 +21898,7 @@ ExpressionSpaceODESolver(R, F): Exports == Implementation where
 \pagepic{ps/v104expressiontoopenmath.ps}{OMEXPR}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{OMEXPR}{OMwrite}
 
 <<package OMEXPR ExpressionToOpenMath>>=
 )abbrev package OMEXPR ExpressionToOpenMath
@@ -21722,7 +22188,11 @@ ExpressionToOpenMath(R: Join(OpenMath, OrderedSet, Ring)): with
 \pagepic{ps/v104expressiontounivariatepowerseries.ps}{EXPR2UPS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{EXPR2UPS}{laurent} &
+\cross{EXPR2UPS}{puiseux} &
+\cross{EXPR2UPS}{series} &
+\cross{EXPR2UPS}{taylor} 
 \end{tabular}
 
 <<package EXPR2UPS ExpressionToUnivariatePowerSeries>>=
@@ -22065,7 +22535,9 @@ ExpressionToUnivariatePowerSeries(R,FE): Exports == Implementation where
 \pagepic{ps/v104expressiontubeplot.ps}{EXPRTUBE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{EXPRTUBE}{constantToUnaryFunction} &
+\cross{EXPRTUBE}{tubePlot} 
 \end{tabular}
 
 <<package EXPRTUBE ExpressionTubePlot>>=
@@ -22257,6 +22729,21 @@ ExpressionTubePlot(): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{E04AGNT}{changeNameToObjf} &
+\cross{E04AGNT}{expenseOfEvaluation} &
+\cross{E04AGNT}{finiteBound} &
+\cross{E04AGNT}{linear?} &
+\cross{E04AGNT}{linearMatrix} \\
+\cross{E04AGNT}{linearPart} &
+\cross{E04AGNT}{nonLinearPart} &
+\cross{E04AGNT}{optAttributes} &
+\cross{E04AGNT}{quadratic?} &
+\cross{E04AGNT}{simpleBounds?} \\
+\cross{E04AGNT}{sortConstraints} &
+\cross{E04AGNT}{splitLinear} &
+\cross{E04AGNT}{sumOfSquares} &
+\cross{E04AGNT}{varList} &
+\cross{E04AGNT}{variables} 
 \end{tabular}
 
 <<package E04AGNT e04AgentsPackage>>=
@@ -22531,7 +23018,9 @@ e04AgentsPackage(): E == I where
 \pagepic{ps/v104factoredfunctions.ps}{FACTFUNC}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FACTFUNC}{log} &
+\cross{FACTFUNC}{nthRoot} 
 \end{tabular}
 
 <<package FACTFUNC FactoredFunctions>>=
@@ -22701,8 +23190,7 @@ o )show FactoredFunctions2
 \pagepic{ps/v104FactoredFunctions2.ps}{FR2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FR2}{map} 
 
 <<package FR2 FactoredFunctions2>>=
 )abbrev package FR2 FactoredFunctions2
@@ -22750,7 +23238,9 @@ FactoredFunctions2(R, S): Exports == Implementation where
 \pagepic{ps/v104factoredfunctionutilities.ps}{FRUTIL}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FRUTIL}{mergeFactors} &
+\cross{FRUTIL}{refine} 
 \end{tabular}
 
 <<package FRUTIL FactoredFunctionUtilities>>=
@@ -22823,6 +23313,13 @@ FactoredFunctionUtilities(R): Exports == Implementation where
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{FACUTIL}{completeEval} &
+\cross{FACUTIL}{degree} &
+\cross{FACUTIL}{lowerPolynomial} &
+\cross{FACUTIL}{normalDeriv} &
+\cross{FACUTIL}{raisePolynomial} \\
+\cross{FACUTIL}{ran} &
+\cross{FACUTIL}{variables} &&&
 \end{tabular}
 
 <<package FACUTIL FactoringUtilities>>=
@@ -22933,7 +23430,10 @@ FactoringUtilities(E,OV,R,P) : C == T where
 \pagepic{ps/v104fglmifcanpackage.ps}{FGLMICPK}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FGLMICPK}{fglmIfCan} &
+\cross{FGLMICPK}{groebner} &
+\cross{FGLMICPK}{zeroDimensional?} 
 \end{tabular}
 
 <<package FGLMICPK FGLMIfCanPackage>>=
@@ -23031,8 +23531,7 @@ FGLMIfCanPackage(R,ls): Exports == Implementation where
 \pagepic{ps/v104findorderfinite.ps}{FORDER}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FORDER}{order} 
 
 <<package FORDER FindOrderFinite>>=
 )abbrev package FORDER FindOrderFinite
@@ -23069,8 +23568,7 @@ FindOrderFinite(F, UP, UPUP, R): Exports == Implementation where
 \pagepic{ps/v104finiteabelianmonoidringfunctions2.ps}{FAMR2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FAMR2}{map} 
 
 <<package FAMR2 FiniteAbelianMonoidRingFunctions2>>=
 )abbrev package FAMR2 FiniteAbelianMonoidRingFunctions2
@@ -23112,8 +23610,7 @@ FiniteAbelianMonoidRingFunctions2(E: OrderedAbelianMonoid,
 \pagepic{ps/v104finitedivisorfunctions2.ps}{FDIV2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FDIV2}{map} 
 
 <<package FDIV2 FiniteDivisorFunctions2>>=
 )abbrev package FDIV2 FiniteDivisorFunctions2
@@ -23160,7 +23657,13 @@ FiniteDivisorFunctions2(R1, UP1, UPUP1, F1, R2, UP2, UPUP2, F2):
 \pagepic{ps/v104finitefieldfunctions.ps}{FFF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FFF}{createLowComplexityNormalBasis} &
+\cross{FFF}{createLowComplexityTable} &
+\cross{FFF}{createMultiplicationMatrix} \\
+\cross{FFF}{createMultiplicationTable} &
+\cross{FFF}{createZechTable} &
+\cross{FFF}{sizeMultiplication} 
 \end{tabular}
 
 <<package FFF FiniteFieldFunctions>>=
@@ -23417,8 +23920,7 @@ FiniteFieldFunctions(GF): Exports == Implementation where
 \pagepic{ps/v104finitefieldhomomorphisms.ps}{FFHOM}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FFHOM}{coerce} 
 
 <<package FFHOM FiniteFieldHomomorphisms>>=
 )abbrev package FFHOM FiniteFieldHomomorphisms
@@ -23796,7 +24298,25 @@ FiniteFieldHomomorphisms(F1,GF,F2): Exports == Implementation where
 \pagepic{ps/v104finitefieldpolynomialpackage.ps}{FFPOLY}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FFPOLY}{createIrreduciblePoly} &
+\cross{FFPOLY}{createNormalPoly} &
+\cross{FFPOLY}{createNormalPrimitivePoly} \\
+\cross{FFPOLY}{createPrimitiveNormalPoly} &
+\cross{FFPOLY}{createPrimitivePoly} &
+\cross{FFPOLY}{leastAffineMultiple} \\
+\cross{FFPOLY}{nextIrreduciblePoly} &
+\cross{FFPOLY}{nextNormalPoly} &
+\cross{FFPOLY}{nextNormalPrimitivePoly} \\
+\cross{FFPOLY}{nextPrimitiveNormalPoly} &
+\cross{FFPOLY}{nextPrimitivePoly} &
+\cross{FFPOLY}{normal?} \\
+\cross{FFPOLY}{numberOfIrreduciblePoly} &
+\cross{FFPOLY}{numberOfNormalPoly} &
+\cross{FFPOLY}{numberOfPrimitivePoly} \\
+\cross{FFPOLY}{primitive?} &
+\cross{FFPOLY}{random} &
+\cross{FFPOLY}{reducedQPowers} 
 \end{tabular}
 
 <<package FFPOLY FiniteFieldPolynomialPackage>>=
@@ -24787,8 +25307,7 @@ FiniteFieldPolynomialPackage GF : Exports == Implementation where
 \pagepic{ps/v104finitefieldpolynomialpackage2.ps}{FFPOLY2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FFPOLY2}{rootOfIrreduciblePoly} 
 
 <<package FFPOLY2 FiniteFieldPolynomialPackage2>>=
 )abbrev package FFPOLY2 FiniteFieldPolynomialPackage2
@@ -24919,8 +25438,7 @@ FiniteFieldPolynomialPackage2(F,GF):Exports == Implementation where
 \pagepic{ps/v104finitefieldsolvelinearpolynomialequation.ps}{FFSLPE}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FFSLPE}{solveLinearPolynomialEquation} 
 
 <<package FFSLPE FiniteFieldSolveLinearPolynomialEquation>>=
 )abbrev package FFSLPE FiniteFieldSolveLinearPolynomialEquation
@@ -24983,7 +25501,10 @@ FiniteFieldSolveLinearPolynomialEquation(F:FiniteFieldCategory,
 \pagepic{ps/v104finitelinearaggregatefunctions2.ps}{FLAGG2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FLAGG2}{map} &
+\cross{FLAGG2}{reduce} &
+\cross{FLAGG2}{scan} 
 \end{tabular}
 
 <<package FLAGG2 FiniteLinearAggregateFunctions2>>=
@@ -25113,7 +25634,10 @@ FiniteLinearAggregateFunctions2(S, A, R, B):
 \pagepic{ps/v104finitelinearaggregatesort.ps}{FLASORT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FLASORT}{heapSort} &
+\cross{FLASORT}{quickSort} &
+\cross{FLASORT}{shellSort} 
 \end{tabular}
 
 <<package FLASORT FiniteLinearAggregateSort>>=
@@ -25228,7 +25752,10 @@ FiniteLinearAggregateSort(S, V): Exports == Implementation where
 \pagepic{ps/v104finitesetaggregatefunctions2.ps}{FSAGG2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FSAGG2}{map} &
+\cross{FSAGG2}{reduce} &
+\cross{FSAGG2}{scan} 
 \end{tabular}
 
 <<package FSAGG2 FiniteSetAggregateFunctions2>>=
@@ -25293,7 +25820,9 @@ FiniteSetAggregateFunctions2(S, A, R, B): Exports == Implementation where
 \pagepic{ps/v104floatingcomplexpackage.ps}{FLOATCP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FLOATCP}{complexRoots} &
+\cross{FLOATCP}{complexSolve} 
 \end{tabular}
 
 <<package FLOATCP FloatingComplexPackage>>=
@@ -25427,7 +25956,9 @@ FloatingComplexPackage(Par): Cat == Cap where
 \pagepic{ps/v104floatingrealpackage.ps}{FLOATRP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FLOATRP}{realRoots} &
+\cross{FLOATRP}{solve} 
 \end{tabular}
 
 <<package FLOATRP FloatingRealPackage>>=
@@ -25559,7 +26090,11 @@ FloatingRealPackage(Par): Cat == Cap where
 \pagepic{ps/v104fortrancodepackage1.ps}{FCPAK1}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{FCPAK1}{identitySquareMatrix} &
+\cross{FCPAK1}{zeroMatrix} &
+\cross{FCPAK1}{zeroSquareMatrix} &
+\cross{FCPAK1}{zeroVector} 
 \end{tabular}
 
 <<package FCPAK1 FortranCodePackage1>>=
@@ -25715,7 +26250,13 @@ FortranCodePackage1: Exports  == Implementation where
 \pagepic{ps/v104fortranoutputstackpackage.ps}{FOP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FOP}{popFortranOutputStack} &
+\cross{FOP}{clearFortranOutputStack} &
+\cross{FOP}{pushFortranOutputStack} \\
+\cross{FOP}{pushFortranOutputStack} &
+\cross{FOP}{showFortranOutputStack} &
+\cross{FOP}{topFortranOutputStack} 
 \end{tabular}
 
 <<package FOP FortranOutputStackPackage>>=
@@ -25812,7 +26353,10 @@ FortranOutputStackPackage() : specification == implementation where
 \pagepic{ps/v104fortranpackage.ps}{FORT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FORT}{outputAsFortran} &
+\cross{FORT}{linkToFortran} &
+\cross{FORT}{setLegalFortranSourceExtensions} 
 \end{tabular}
 
 <<package FORT FortranPackage>>=
@@ -25920,8 +26464,7 @@ FortranPackage(): Exports == Implementation where
 \pagepic{ps/v104fractionalidealfunctions2.ps}{FRIDEAL2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FRIDEAL2}{map} 
 
 <<package FRIDEAL2 FractionalIdealFunctions2>>=
 )abbrev package FRIDEAL2 FractionalIdealFunctions2
@@ -25971,7 +26514,17 @@ FractionalIdealFunctions2(R1, F1, U1, A1, R2, F2, U2, A2):
 \pagepic{ps/v104fractionfreefastgaussian.ps}{FFFG}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{FFFG}{DiffAction} &
+\cross{FFFG}{DiffC} &
+\cross{FFFG}{ShiftAction} &
+\cross{FFFG}{ShiftC} \\
+\cross{FFFG}{fffg} &
+\cross{FFFG}{generalCoefficient} &
+\cross{FFFG}{generalInterpolation} &
+\cross{FFFG}{interpolate} \\
+\cross{FFFG}{qShiftAction} &
+\cross{FFFG}{qShiftC} &&
 \end{tabular}
 
 <<package FFFG FractionFreeFastGaussian>>=
@@ -26466,8 +27019,7 @@ $c_{\sigma,\sigma}$.
 \pagepic{ps/v104fractionfreefastgaussianfractions.ps}{FFFGF}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FFFGF}{generalInterpolation} 
 
 <<package FFFGF FractionFreeFastGaussianFractions>>=
 )abbrev package FFFGF FractionFreeFastGaussianFractions
@@ -26585,8 +27137,7 @@ FractionFreeFastGaussianFractions(D, V, VF): Exports == Implementation where
 \pagepic{ps/v104fractionfunctions2.ps}{FRAC2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FRAC2}{map} 
 
 <<package FRAC2 FractionFunctions2>>=
 )abbrev package FRAC2 FractionFunctions2
@@ -26629,8 +27180,7 @@ FractionFunctions2(A, B): Exports == Impl where
 \pagepic{ps/v104framednonassociativealgebrafunctions2.ps}{FRNAAF2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FRNAAF2}{map} 
 
 <<package FRNAAF2 FramedNonAssociativeAlgebraFunctions2>>=
 )abbrev package FRNAAF2 FramedNonAssociativeAlgebraFunctions2
@@ -26692,6 +27242,30 @@ Gregory Vanuxem supplied the fix below.
 
 {\bf Exports:}\\
 \begin{tabular}{lllll}
+\cross{FSPECF}{Beta} &
+\cross{FSPECF}{Gamma} &
+\cross{FSPECF}{abs} &
+\cross{FSPECF}{airyAi} &
+\cross{FSPECF}{airyBi} \\
+\cross{FSPECF}{belong?} &
+\cross{FSPECF}{besselI} &
+\cross{FSPECF}{besselJ} &
+\cross{FSPECF}{besselK} &
+\cross{FSPECF}{besselY} \\
+\cross{FSPECF}{digamma} &
+\cross{FSPECF}{iiAiryAi} &
+\cross{FSPECF}{iiAiryBi} &
+\cross{FSPECF}{iiBesselI} &
+\cross{FSPECF}{iiBesselJ} \\
+\cross{FSPECF}{iiBesselK} &
+\cross{FSPECF}{iiBesselY} &
+\cross{FSPECF}{iiBeta} &
+\cross{FSPECF}{iiGamma} &
+\cross{FSPECF}{iiabs} \\
+\cross{FSPECF}{iidigamma} &
+\cross{FSPECF}{iipolygamma} &
+\cross{FSPECF}{operator} &
+\cross{FSPECF}{polygamma} &
 \end{tabular}
 
 <<package FSPECF FunctionalSpecialFunction>>=
@@ -27092,8 +27666,7 @@ component of the gradient failed, it resulted in an infinite loop for
 \pagepic{ps/v104functionfieldcategoryfunctions2.ps}{FFCAT2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FFCAT2}{map} 
 
 <<package FFCAT2 FunctionFieldCategoryFunctions2>>=
 )abbrev package FFCAT2 FunctionFieldCategoryFunctions2
@@ -27134,7 +27707,9 @@ FunctionFieldCategoryFunctions2(R1, UP1, UPUP1, F1, R2, UP2, UPUP2, F2):
 \pagepic{ps/v104functionfieldintegralbasis.ps}{FFINTBAS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FFINTBAS}{integralBasis} &
+\cross{FFINTBAS}{localIntegralBasis} 
 \end{tabular}
 
 <<package FFINTBAS FunctionFieldIntegralBasis>>=
@@ -27271,7 +27846,11 @@ FunctionFieldIntegralBasis(R,UP,F): Exports == Implementation where
 \pagepic{ps/v104functionspaceassertions.ps}{PMASSFS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{PMASSFS}{assert} &
+\cross{PMASSFS}{constant} &
+\cross{PMASSFS}{multiple} &
+\cross{PMASSFS}{optional} 
 \end{tabular}
 
 <<package PMASSFS FunctionSpaceAssertions>>=
@@ -27358,8 +27937,7 @@ FunctionSpaceAssertions(R, F): Exports == Implementation where
 \pagepic{ps/v104functionspaceattachpredicates.ps}{PMPREDFS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{PMPREDFS}{suchThat} 
 
 <<package PMPREDFS FunctionSpaceAttachPredicates>>=
 )abbrev package PMPREDFS FunctionSpaceAttachPredicates
@@ -27422,7 +28000,10 @@ FunctionSpaceAttachPredicates(R, F, D): Exports == Implementation where
 \pagepic{ps/v104functionspacecomplexintegration.ps}{FSCINT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FSCINT}{complexIntegrate} &
+\cross{FSCINT}{internalIntegrate} &
+\cross{FSCINT}{internalIntegrate0} 
 \end{tabular}
 
 <<package FSCINT FunctionSpaceComplexIntegration>>=
@@ -27511,8 +28092,7 @@ FunctionSpaceComplexIntegration(R, F): Exports == Implementation where
 \pagepic{ps/v104functionspacefunctions2.ps}{FS2}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FS2}{map} 
 
 <<package FS2 FunctionSpaceFunctions2>>=
 )abbrev package FS2 FunctionSpaceFunctions2
@@ -27563,8 +28143,7 @@ FunctionSpaceFunctions2(R, A, S, B): Exports == Implementation where
 \pagepic{ps/v104functionspaceintegration.ps}{FSINT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FSINT}{integrate} 
 
 <<package FSINT FunctionSpaceIntegration>>=
 )abbrev package FSINT FunctionSpaceIntegration
@@ -27710,8 +28289,7 @@ FunctionSpaceIntegration(R, F): Exports == Implementation where
 \pagepic{ps/v104functionspaceprimitiveelement.ps}{FSPRMELT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{FSPRMELT}{primitiveElement} 
 
 <<package FSPRMELT FunctionSpacePrimitiveElement>>=
 )abbrev package FSPRMELT FunctionSpacePrimitiveElement
@@ -27832,7 +28410,9 @@ FunctionSpacePrimitiveElement(R, F): Exports == Implementation where
 \pagepic{ps/v104functionspacereduce.ps}{FSRED}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FSRED}{bringDown} &
+\cross{FSRED}{newReduc} 
 \end{tabular}
 
 <<package FSRED FunctionSpaceReduce>>=
@@ -27906,8 +28486,7 @@ FunctionSpaceReduce(R, F): Exports == Implementation where
 \pagepic{ps/v104functionspacesum.ps}{SUMFS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
-\end{tabular}
+\cross{SUMFS}{sum} 
 
 <<package SUMFS FunctionSpaceSum>>=
 )abbrev package SUMFS FunctionSpaceSum
@@ -27979,7 +28558,9 @@ FunctionSpaceSum(R, F): Exports == Implementation where
 \pagepic{ps/v104functionspacetoexponentialexpansion.ps}{FS2EXPXP}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{ll}
+\cross{FS2EXPXP}{localAbs} &
+\cross{FS2EXPXP}{exprToXXP} 
 \end{tabular}
 
 <<package FS2EXPXP FunctionSpaceToExponentialExpansion>>=
@@ -28537,7 +29118,10 @@ FunctionSpaceToExponentialExpansion(R,FE,x,cen):_
 \pagepic{ps/v104functionspacetounivariatepowerseries.ps}{FS2UPS}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{lll}
+\cross{FS2UPS}{localAbs} &
+\cross{FS2UPS}{exprToGenUPS} &
+\cross{FS2UPS}{exprToUPS} 
 \end{tabular}
 
 <<package FS2UPS FunctionSpaceToUnivariatePowerSeries>>=
@@ -29311,7 +29895,11 @@ FunctionSpaceToUnivariatePowerSeries(R,FE,Expon,UPS,TRAN,x):_
 \pagepic{ps/v104functionspaceunivariatepolynomialfactor.ps}{FSUPFACT}{1.00}
 
 {\bf Exports:}\\
-\begin{tabular}{lllll}
+\begin{tabular}{llll}
+\cross{FSUPFACT}{anfactor} &
+\cross{FSUPFACT}{ffactor} &
+\cross{FSUPFACT}{qfactor} &
+\cross{FSUPFACT}{UP2ifCan} 
 \end{tabular}
 
 <<package FSUPFACT FunctionSpaceUnivariatePolynomialFactor>>=
diff --git a/changelog b/changelog
index 0392eeb..ac8b7b8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090210 tpd src/axiom-website/patches.html 20090210.01.tpd.patch
+20090210 tpd books/bookvol10.4.pamphlet add exports
 20090209 tpd src/axiom-website/patches.html 20090209.02.tpd.patch
 20090209 tpd books/bookvol10.4 add packages
 20090209 tpd src/algebra/Makefile remove spad files
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7895929..7ffc958 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -937,5 +937,7 @@ bookvol10.4 add packages<br/>
 bookvol10.4 add packages<br/>
 <a href="patches/20090209.02.tpd.patch">20090209.02.tpd.patch</a>
 bookvol10.4 add packages<br/>
+<a href="patches/20090210.01.tpd.patch">20090210.01.tpd.patch</a>
+bookvol10.4 add exports<br/>
  </body>
 </html>
